package agilpizza.modelo.pizza;

import java.util.ArrayList;
import java.util.List;

public class Pedido {
	private List<Pizza> pizzas = new ArrayList<Pizza>();
	private Endereco endereco = new Endereco();

	public Pedido() {

	}
	
	public Pedido(List<Pizza> pizzas, Endereco endereco) {
		this.endereco = endereco;
		this.pizzas = pizzas;
	}

	public List<Pizza> getPizzas() {
		return pizzas;
	}

	public void setPizzas(List<Pizza> pizzas) {
		this.pizzas = pizzas;
	}

	public Endereco getEndereco() {
		return endereco;
	}

	public void setEndereco(Endereco endereco) {
		this.endereco = endereco;
	}
	
	public void adicionarPizza(Pizza pizza){
		pizzas.add(pizza);
	}
	
	public double calculaTotalPedido(){
		double x = 0;
		
		for (Pizza p: pizzas) {
			x += p.getPrecoDouble();
		}
		
		return x;		
	}
	
	public String getTotalPedido(){
		return Double.toString(calculaTotalPedido());
	}
	
	public double getTotalPedidoDouble(){
		return calculaTotalPedido();
	}
}
